/* HERO */

.hero {
    background-color: var(--color-bg);
    display: flex;
    flex-direction: column;
    padding: 20vh 80px 0 80px;
}

.hero__cover {
    width: 100%;
    aspect-ratio: 16 / 9;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: var(--border-radius);
    overflow: hidden;
}

.hero__cover-img {
    width: 100%;
    height: 100%; 
    object-fit: cover;
    transform-origin: top;
}

.name {
    display: flex;
    flex-direction: column;
    gap: 24px;
    align-items: center;
}

.title {
    font-size: var(--title-lg);
    font-weight: 600;
    line-height: var(--title-lg-lh);
    text-align: center;
    width: 100%;
}

.subtitle {
    font-size: var(--text-lg);
    line-height: var(--text-lg-lh);
    color: var(--color-fg-soft);
    text-align: center;
}

/* WRAP */

.block {
    display: grid;
    padding: 80px;
    background-color: var(--color-bg);
    grid-template-columns: minmax(0, 1fr) minmax(0, 1fr) minmax(0, 1fr) minmax(0, 1fr);
    gap: 40px;
}

.block__title {
    font-size: var(--title-sm);
    font-weight: 600;
    grid-column: 1 / span 1;
    align-self: start;
}

.content {
    display: flex;
    flex-direction: column;
    gap: 40px;
    font-size: var(--text-md);
    line-height: var(--text-md-lh);
    grid-column: 2 / span 2;
}

.block__text-list {
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.block__text-item {
    display: flex;
    flex-direction: column;
    position: relative;
    padding-left: 24px;
}

.block__text-item::before {
    content: '';
    position: absolute;
    display: block;
    left: 0;
    top: calc(var(--text-md-lh) / 2 - 4px);
    width: 8px;
    height: 8px;
    background-color: var(--color-accent);
}

/* GALLERY */

.gallery__img-cover {
    width: 100%;
    aspect-ratio: 16 / 9;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: var(--border-radius);
    overflow: hidden;
    position: relative;
}

.gallery__img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.gallery__img-label {
    position: absolute;
    top: 16px;
    left: 16px;

    background-color: var(--color-bg);
    color: var(--color-fg-soft);
    padding: 4px 16px;

    border-radius: var(--border-radius);

    font-size: var(--text-lg);
    font-weight: 600;
}

.img-1 {
    grid-column: 1 / span 3;
}

.img-2 {
    grid-column: 2 / span 3;
}

.img-3 {
    grid-column: 1 / span 4;
}

/* CTA */

.cta {
    height: fit-content;
}


@media (max-width: 480px) { 
    .hero {
        display: flex;
        flex-direction: column;
        gap: 24px;
        padding: 80px 24px 32px 24px;
        justify-content: start;
        align-items: start;
    }

    .name {
        width: 100%;
        gap: 16px;
    }

    .hero__cover {
        aspect-ratio: 1 / 1;
    }

    .block {
        display: flex;
        flex-direction: column;
        gap: 24px;
        padding: 32px 24px;
        justify-content: start;
        align-items: start;
    }

    .content {
        gap: 24px;
    }

    .gallery {
        gap: 8px;
    }


     /* PROJECT */

    .project {
        display: flex;
        flex-direction: column;
    }

    .projects__list {
        display: flex;
        flex-direction: column;
        gap: 40px;
    }

    .project__head {
        flex-direction: column;
        align-items: start;
        gap: 16px;
    }

    .project__title {
        flex-direction: column;
        align-items: start;
        gap: 8px;
    }

    .project__subtitle {
        text-align: start;
        font-weight: normal;
        color: var(--color-fg-soft);
    }

    .project__cover {
        aspect-ratio: 1 / 1;
    }

    .tag {
        font-size: 12px;
    }
}